<template>
  <div class="options">
    <h3 class="options-title">{{ $t("lang.filter.options.title") }}</h3>
    <div class="options-items">
      <item
        :text="$t('lang.filter.options.direct')"
        :isSelected="options.direct"
        @select="status => setOptionsAction({ type: 'direct', status })"
      />
      <item
        :text="$t('lang.filter.options.baggage')"
        :isSelected="options.baggage"
        @select="status => setOptionsAction( { type: 'baggage', status })"
      />
      <item
        :text="$t('lang.filter.options.return')"
        :isSelected="options.return"
        @select="status => setOptionsAction({ type: 'return', status })"
      />
    </div>
  </div>
</template>

<script>
import { mapGetters, mapActions } from "vuex";
import Item from "./Item";
export default {
  components: { Item },
  computed: {
    ...mapGetters(["options"])
  },
  methods: {
    ...mapActions(["setOptionsAction"])
  }
};
</script>

<style lang="scss" scoped>
.options {
  position: relative;
  width: 240px;
  background: #f5f5f5;
  border-radius: 4px;
  margin-bottom: 12px;
  padding: 12px 0;
  &-title {
    position: relative;
    font-style: normal;
    font-weight: bold;
    font-size: 14px;
    line-height: 20px;
    padding: 0 12px 12px 12px;
    margin-bottom: 0;
  }
}
</style>
